# Definitions

This page contains a table of definitions used to rigorously and unambiguously define key parts of protocol behavior, and may be updated from time to time.

<table><thead><tr><th width="150">Variable</th><th width="319.57383452524465">Description</th><th>Notes</th></tr></thead><tbody><tr><td><span class="math">B_p</span>​</td><td>Total outstanding principal.</td><td><span class="math">\displaystyle B_p=\sum^n_{i=0}BP_x</span>where there are ​<span class="math">n</span>​ Vaults</td></tr><tr><td><span class="math">B_t</span>​</td><td>Total outstanding debt.</td><td><span class="math">\displaystyle B_t=\sum^n_{i=0}BC_x</span>​where there are <span class="math">n</span>​Vaults</td></tr><tr><td><span class="math">C_{senior}</span>​</td><td>Cash balance of the senior tranche.</td><td>Balance of the senior tranche contract returned by the underlying ERC20 asset when <code>balanceOf</code> is called.</td></tr><tr><td><span class="math">C_{junior}</span></td><td>Cash balance of the junior tranche.</td><td>Balance of the senior tranche contract returned by the underlying ERC20 asset when <code>balanceOf</code> is called.</td></tr><tr><td><span class="math">L_{senior}</span>​</td><td>Assets held by the senior tranche, including loans (principal).</td><td><span class="math">L_{senior} = C_{senior} + B_p</span></td></tr><tr><td><span class="math">L_{junior}</span>​</td><td>Assets held by the junior tranche. </td><td><span class="math">L_{junior} = C_{junior}</span></td></tr><tr><td><span class="math">U_{optimal}</span></td><td>Optimal utilisation rate.</td><td>Percentage expressed in <code>ray</code>.</td></tr><tr><td><span class="math">U</span>​</td><td>Utilisation rate (actual).</td><td><span class="math">U =  \begin{cases} 0\ &#x26; if\ L_{senior} = 0 \\ \frac{B_{t}}{L_{senior}}\ &#x26; else \end{cases}</span></td></tr><tr><td><span class="math">R_{b}</span></td><td>Base borrow rate.</td><td>The base interest rate. Set by governance.</td></tr><tr><td><span class="math">R_{slope1}</span></td><td>Slope when <span class="math">U > U_{optimal}</span>  ​</td><td>Set by governance.</td></tr><tr><td><span class="math">R^t_{s}</span>​</td><td>Current slope rate. New borrows receive this rate.</td><td><span class="math">R^{t}_{s} = \begin{cases} R_{b}, &#x26; if\ U \leq U_{optimal} \\ R_{b} + \frac{U}{U_{optimal}}R_{slope1}, &#x26; if\ U \gt U_{optimal} \end{cases}</span></td></tr><tr><td><span class="math">\bar R_b</span>​</td><td>Average borrow APR</td><td><span class="math">\bar R_b = \displaystyle\frac{\sum_{i=0}^nR^n_i P_i}{B_p}</span></td></tr><tr><td><span class="math">LiR_{optimal}</span>​</td><td>Optimal tranche liquidity ratio</td><td>Set by governance.</td></tr><tr><td><span class="math">LiR_t</span>​</td><td>Current tranche liquidity ratio</td><td><span class="math">\displaystyle LiR_{t} = \frac{L_{senior}}{L_{junior}}</span>​</td></tr><tr><td><span class="math">E(LiR)</span>​</td><td>Deviation of <span class="math">LiR_t</span> from <span class="math">LiR_{optimal}</span>. Presently not in use.​</td><td><span class="math">E(LiR) = LiR_{optimal} - LiR_t</span></td></tr><tr><td><span class="math">Y_{senior}</span></td><td>Optimal senior yield allocation</td><td>Percentage, expressed in basis points.</td></tr><tr><td><span class="math">Y_{junior}</span>​</td><td>Optimal junior yield allocation</td><td><span class="math">1 - Y_{senior}</span></td></tr><tr><td>​<span class="math">Y_t</span></td><td>Current actual income allocation, PID-like. Presently not in use.</td><td><span class="math">\displaystyle Y^t = \begin{cases} Y &#x26; if LiR_t = LiR_{s} \\ Y_{optimal} \cdot \displaystyle\frac{\displaystyle1}{\displaystyle1+\frac{E(LiR)}{LiR_{optimal}}} &#x26; if E(LiR) \gt 0 \\ Y_{optimal} \cdot 1+\displaystyle\frac{E(LiR)}{LiR_{optimal}} &#x26; if E(LiR) \lt 0 \end{cases}</span>​</td></tr><tr><td><span class="math">R_l</span>​</td><td>Current lender interest rate</td><td><span class="math">R_l = R_bU</span>​</td></tr><tr><td><span class="math">R_{senior}</span></td><td>Senior tranche effective interest rate</td><td><span class="math">R_{senior} = R_l \cdot Y_{senior}</span>​</td></tr><tr><td><span class="math">R_{junior}</span>​</td><td>Junior tranche effective interest rate</td><td><span class="math">R_{junior} = R_l\cdot Y_{junior}\cdot LiR_{t}</span>​</td></tr><tr><td><span class="math">S_{senior}</span>​</td><td>Total supply of senior tranche shares</td><td>vToken <code>totalSupply()</code></td></tr><tr><td><span class="math">S_{junior}</span></td><td>Total supply of junior tranche shares</td><td>vToken <code>totalSupply()</code></td></tr><tr><td><span class="math">Ex(t)</span>​</td><td>Exchange rate of shares to the underlying asset</td><td><span class="math">Ex(x)=L_x/S_x</span> where <span class="math">x</span> is one of junior or senior</td></tr><tr><td><span class="math">FV_o</span>​</td><td>Asset floor price at purchase block height</td><td>Provided by <code>Oracle</code></td></tr><tr><td><span class="math">FV_t</span>​</td><td>Asset floor price at current block height</td><td>Provided by <code>Oracle</code></td></tr><tr><td><span class="math">GAV_x</span></td><td>Gross asset value of a Vault <span class="math">x</span>, by current floor price. Presently not in use.</td><td><span class="math">GAV_x = \Sigma_{i \in liens}FV_t + VT</span>where <span class="math">liens</span> is the set of unredeemed non-fungible assets​ in the Vault.</td></tr><tr><td><span class="math">VT_x</span>​</td><td>Underlying ERC20 balance for a Vault <span class="math">x</span>.</td><td>Return value of <code>balanceOf()</code></td></tr><tr><td><span class="math">DR_{\alpha}</span>​</td><td>A drawdown by a Vault.</td><td><span class="math">DR_{\alpha} = (P,R,Term,Epoch,NPer,Pmt)</span>​</td></tr><tr><td><span class="math">P_\alpha</span>​</td><td>Principal component of a drawdown <span class="math">DR_{\alpha}</span>​</td><td>-</td></tr><tr><td><span class="math">R_\alpha</span>​</td><td>Interest rate applied to <span class="math">DR_{\alpha}</span>.​</td><td><p><span class="math">R_\alpha = R^t_s</span></p><p>where <span class="math">R^t_s</span> is the prevailing slope rate at time of origination <span class="math">t</span>​</p></td></tr><tr><td><span class="math">I_\alpha</span>​</td><td>Interest component of <span class="math">DR_{\alpha}</span>.</td><td><span class="math">I_\alpha=R_\alpha P_\alpha</span>​</td></tr><tr><td><span class="math">Term_\alpha</span>​</td><td>The loan term of <span class="math">DR_{\alpha}</span> in seconds.</td><td>Always a multiple of <span class="math">T_{month}</span>.​</td></tr><tr><td><span class="math">Epoch_\alpha</span>​</td><td>The payment interval of <span class="math">DR_{\alpha}</span> in seconds.</td><td>Always a multiple of <span class="math">T_{month}</span>​</td></tr><tr><td><span class="math">EPY(\alpha)</span>​</td><td>Number of payment intervals per year for <span class="math">DR_{\alpha}</span>​.</td><td><span class="math">\displaystyle EPY(\alpha)=\frac{T_{year}}{Epoch_\alpha}</span></td></tr><tr><td><span class="math">NPer(\alpha)</span>​</td><td>Number of instalments needed to repay the principal and interest for <span class="math">DR_{\alpha}</span>.​</td><td><span class="math">NPer(\alpha) = \displaystyle\frac{Term_\alpha}{Epoch_\alpha}</span></td></tr><tr><td><span class="math">IPmt_i(\alpha)</span>​</td><td>Interest component of an instalment at period <span class="math">i</span>​.</td><td><span class="math">\displaystyle IPmt_i(\alpha)=\frac{I(\alpha)}{NPer(\alpha)}</span></td></tr><tr><td><span class="math">PPmt_i(\alpha)</span>​</td><td>Principal component of an instalment at period <span class="math">i</span>​.</td><td><span class="math">\displaystyle PPmt_i(\alpha)=\frac{P_\alpha}{NPer(\alpha)}</span>​</td></tr><tr><td><span class="math">Pmt_i(\alpha)</span></td><td>Total instalment amount at period <span class="math">i</span>.</td><td><span class="math">Pmt_i(\alpha) = IPmt_i(\alpha)+PPmt_i(\alpha)</span></td></tr><tr><td><span class="math">T^\alpha_{i}</span>​</td><td>Timestamp of due date of the next instalment of <span class="math">DR_{\alpha}</span>​.</td><td><span class="math">T^\alpha_{i} = \begin{cases} T+Epoch_\alpha &#x26; if \ i = 0 \\ T^\alpha_{i-1}+Epoch_\alpha &#x26; else \end{cases}</span>​</td></tr><tr><td><span class="math">TPD(\alpha)</span>​</td><td>Time past due for <span class="math">DR_{\alpha}</span> expressed in seconds.</td><td><span class="math">TPD(\alpha) = \begin{cases} 0 &#x26; if \ T \leq T^\alpha_{i} \\ T - T^\alpha_{i} &#x26; else \end{cases}</span>​</td></tr><tr><td><span class="math">RE^t_\alpha</span>​</td><td>Total repayments made toward <span class="math">DR_{\alpha}</span>​.</td><td><span class="math">\displaystyle RE^t_a = \sum_{i=1}^{n}Pmt(\alpha)</span> where <span class="math">n</span> is the number of repayments that have been made.</td></tr><tr><td><span class="math">BC_x</span>​</td><td>Total debt of a Vault <span class="math">x</span>, including interest.</td><td><span class="math">\displaystyle BC_x=\sum^{n}_{i=0} Pmt(i)</span><br>for Vault <span class="math">x</span>with <span class="math">n</span>​ active Drawdowns.</td></tr><tr><td><span class="math">BP_x</span>​</td><td>Total principal debt of a Vault <span class="math">x</span></td><td><span class="math">\displaystyle BP_x=\sum^{n}_{i=0} P_i</span><br>for Vault <span class="math">x</span>​ with <span class="math">n</span>​ active Drawdowns.</td></tr><tr><td><span class="math">BI_x</span>​</td><td>Total interest owed by a Vault <span class="math">x</span></td><td><span class="math">BI_x = BC_x-BP_x</span></td></tr><tr><td><span class="math">B_{max}</span>​</td><td>Current Vault credit limit.</td><td><span class="math">B_{max} = max(FV_t \cdot (1 + \log_2(1+{Rep^x_v})), FV_t)</span>​</td></tr><tr><td><span class="math">LF</span>​</td><td>Liquidation threshold.</td><td>Currently set to <span class="math">1</span></td></tr><tr><td><span class="math">LB</span>​</td><td>Liquidation bonus.</td><td>Currently set to <span class="math">0.1</span></td></tr><tr><td><span class="math">LTV</span>​</td><td>Loan-to-value.</td><td><span class="math">HF = LTV\cdot LF</span><br>Currently disabled.</td></tr><tr><td><span class="math">T</span>​</td><td>Current block timestamp</td><td>-</td></tr><tr><td><span class="math">T_{year}</span>​</td><td>Seconds per year</td><td><span class="math">31536000</span></td></tr><tr><td><span class="math">T_{month}</span></td><td>Seconds per month</td><td><span class="math">2592000</span></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voyage.finance/voyage/whitepaper/definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
